/*  miniboxtk - small GUI toolkit/widget system
    Copyright (C) 2022  Tibor 'Igor2' Palinkas

    (Supported by NLnet NGI0 PET Fund in 2022)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

    Contact:
      Project page: http://repo.hu/projects/miniboxtk
      contact lead developer: http://www.repo.hu/projects/miniboxtk/contact.html
*/

static void mbtk_glfw_clipboard_set(mbtk_display_t *disp, const char *new_content)
{
	glfw_win_t *gw = (glfw_win_t *)disp->topwin;

	if (disp->topwin == NULL) {
		mbtk_error("mbtk_glfw_clipboard_set() requires a top window\n");
		return;
	}
	glfwSetClipboardString(gw->window, new_content);
}

static char *mbtk_glfw_clipboard_get(mbtk_display_t *disp)
{
	glfw_win_t *gw = (glfw_win_t *)disp->topwin;
	const char *res;

	if (disp->topwin == NULL) {
		mbtk_error("mbtk_glfw_clipboard_get() requires a top window\n");
		return NULL;
	}

	res = glfwGetClipboardString(gw->window);
	return (res == NULL) ? NULL : mbtk_strdup(res);
}

static void mbtk_glfw_clipboard_free(mbtk_display_t *disp, char *str_got)
{
	free(str_got);
}

