/*  miniboxtk - small GUI toolkit/widget system
    Copyright (C) 2022  Tibor 'Igor2' Palinkas

    (Supported by NLnet NGI0 PET Fund in 2022)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

    Contact:
      Project page: http://repo.hu/projects/miniboxtk
      contact lead developer: http://www.repo.hu/projects/miniboxtk/contact.html
*/

/* Look up r/g/b in client-side display cache; if found, load the pixel value
   into px and return 1 (else return 0) */
static int mbtk_xlib_clr_cache_get(xlib_display_t *xd, unsigned long *dst, int r, int g, int b)
{
	unsigned long packed = r << 24 | g << 16 | b << 8;
	htuu_entry_t *e = htuu_getentry(&xd->clr_cache, packed);

	if (e == NULL)
		return 0;

	*dst = e->value;
	return 1;
}

/* Put an r/g/b -> src in client-side display cache */
static void mbtk_xlib_clr_cache_set(xlib_display_t *xd, unsigned long src, int r, int g, int b)
{
	unsigned long packed = r << 24 | g << 16 | b << 8;
	htuu_set(&xd->clr_cache, packed, src);
}
