/*  miniboxtk - small GUI toolkit/widget system
    Copyright (C) 2022  Tibor 'Igor2' Palinkas

    (Supported by NLnet NGI0 PET Fund in 2022)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

    Contact:
      Project page: http://repo.hu/projects/miniboxtk
      contact lead developer: http://www.repo.hu/projects/miniboxtk/contact.html
*/

#ifndef LIBMBTK_HANDLER_HOVRADIO_H
#define LIBMBTK_HANDLER_HOVRADIO_H

#include <libmbtk/src_3rd/genvector/vtp0.h>
#include <libmbtk/widget/hand_radio.h>
#include <libmbtk/handler.h>

/* The API is the same as hand_radio's */

typedef struct mbtk_handler_radio_s mbtk_handler_hovradio_t;

mbtk_handler_hovradio_t *mbtk_handler_hovradio_alloc(mbtk_window_t *parent);
void mbtk_handler_hovradio_init(mbtk_window_t *parent, mbtk_handler_hovradio_t *hr);
void mbtk_handler_hovradio_free(mbtk_handler_hovradio_t *hr);
void mbtk_handler_hovradio_uninit(mbtk_handler_hovradio_t *hr);
void mbtk_handler_hovradio_add_widget(mbtk_handler_hovradio_t *hr, mbtk_widget_t *w);
void mbtk_handler_hovradio_del_widget(mbtk_handler_hovradio_t *hr, mbtk_widget_t *w);

void mbtk_hand_hovradio_activated(mbtk_widget_t *widget);

void mbtk_hand_hovradio_deactivate(mbtk_handler_hovradio_t *hr, int fire_cb);

#endif
