/*  miniboxtk - small GUI toolkit/widget system
    Copyright (C) 2022  Tibor 'Igor2' Palinkas

    (Supported by NLnet NGI0 PET Fund in 2022)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

    Contact:
      Project page: http://repo.hu/projects/miniboxtk
      contact lead developer: http://www.repo.hu/projects/miniboxtk/contact.html
*/

#include <stdio.h>
#include <libmbtk/global_typedefs.h>
#include <libmbtk/handler.h>
#define MBTK_NO_INCLUDE_WIDGETS
#include <libmbtk/widget.h>
#include <libmbtk/widget_imp.h>

static const char my_name[] = "hand_outclk";

typedef struct mbtk_outclk_handler_s {
	mbtk_handler_t hdr;
} mbtk_outclk_handler_t;

static mbtk_outclk_handler_t outclk_handler;
static int outclk_handler_inited = 0;


static mbtk_event_handled_t outclk_event(mbtk_widget_t *widget, mbtk_event_t *ev)
{
	if (ev->type == MBTK_EV_FOCUS_MOUSE_PRESS_OUT) {
		mbtk_kw_t kw_outclk;

printf("hand OUTCLK\n");

		mbtk_kw_cache(kw_outclk, "outclk");
		mbtk_callback_noarg(widget, kw_outclk);

		return MBTK_EVENT_HANDLED;
	}
	return MBTK_EVENT_NOT_HANDLED;
}


void mbtk_handler_outclk_install(mbtk_widget_t *widget)
{
	if (widget->handler != NULL)
		mbtk_widget_del_handler(widget);

	if (!outclk_handler_inited) {
		outclk_handler.hdr.name = my_name;
		outclk_handler.hdr.event = outclk_event;
		outclk_handler_inited = 1;
	}
	widget->handler = &outclk_handler.hdr;
}
