/*  miniboxtk - small GUI toolkit/widget system
    Copyright (C) 2022  Tibor 'Igor2' Palinkas

    (Supported by NLnet NGI0 PET Fund in 2022)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

    Contact:
      Project page: http://repo.hu/projects/miniboxtk
      contact lead developer: http://www.repo.hu/projects/miniboxtk/contact.html
*/

#ifndef LIBMBTK_WIDGET_PANE_SEP_H
#define LIBMBTK_WIDGET_PANE_SEP_H

#include <libmbtk/widget.h>
#include <libmbtk/widget_inlines.h>

/* a horizontal or vertical "line" with extra graphics to separate sides of a pane */
typedef struct mbtk_pane_sep_s {
	mbtk_widget_t w;
	unsigned int horiz:1;
} mbtk_pane_sep_t;

mbtk_pane_sep_t *mbtk_pane_sep_new(mbtk_pane_sep_t *caller_alloced, int horiz);

MBTK_WIDGET_INLINES(pane_sep)

#endif
